/* TestBlackDevAndMod.java
 *
 * -----------------------------------------------------------------
 * Licensed Materials - Property of IBM
 * 5724Q99
 * (C) Copyright IBM Corp. 1998, 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * -----------------------------------------------------------------
 * $Id: //depot/rbo/src/packages/ibmee/javaapi/examples/TestBlackDevAndMod.java#6 $
 */
package examples;

import java.net.InetAddress;
import java.net.UnknownHostException;

import com.ibm.rbapi.RBServer;
import com.ibm.rbapi.RBServerBlackDev;
import com.ibm.rbapi.RBServerBlackMod;
import com.ibm.rbapi.RBServerException;

public class TestBlackDevAndMod {

    public static void main(String[] args) 
    throws UnknownHostException, RBServerException {

   
        System.out.println("TestBlackDevAndMod starting.");
        InetAddress ip = InetAddress.getByName(args[0]);
        int port = Integer.parseInt(args[1]);
        String secret = args[2];
        RBServer rbServer = new RBServer(ip, port, secret); 
        System.out.println("Created rbServer.");
        
        /************************* Black Dev tests **************************************/
        System.out.println("\n\n/************************* Black Dev tests **************************************/");
        
        /* Test getBlackListedDevices() */
        System.out.println("Calling getBlackListedDevices()...");
        RBServerBlackDev[] blackDevs = rbServer.getBlackListedDevices();
        
        System.out.println("\ngetBlackListedDevices returned: " + blackDevs.length + " devices.");
        for (int i=0; i<blackDevs.length; i++) {
            System.out.println("\n### blackDev["+i+"]:");
            printBlackDev(blackDevs[i]);
        }
        
        
        /************************* Black Mod tests **************************************/
        System.out.println("\n\n/************************* Black Mod tests **************************************/");
        /* Test getBlackListedModels() */
        System.out.println("Calling getBlackListedModels()...");
        RBServerBlackMod[] blackMods = rbServer.getBlackListedModels();
        
        System.out.println("\ngetBlackListedModels returned: " + blackMods.length + " models.");
        for (int i=0; i<blackMods.length; i++) {
            System.out.println("\n### blackMod["+i+"]:");
            printBlackMod(blackMods[i]);
        }
    }
    
    static void printBlackDev(RBServerBlackDev blackDev) {
        System.out.println("## getDeviceid(): " + blackDev.getDeviceid());
        System.out.println("## getPcidescr(): " + blackDev.getPcidescr());
        System.out.println("## getRevision(): " + blackDev.getRevision());
        System.out.println("## getVendorid(): " + blackDev.getVendorid());
    }
    
    static void printBlackMod(RBServerBlackMod blackMod) {
        System.out.println("## getPattern(): " + blackMod.getPattern());
    }

}
