/* TestRBServerConfig.java
 *
 * -----------------------------------------------------------------
 * Licensed Materials - Property of IBM
 * 5724Q99
 * (C) Copyright IBM Corp. 1998, 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * -----------------------------------------------------------------
 * $Id: //depot/rbo/src/packages/ibmee/javaapi/examples/TestRBServerConfig.java#4 $
 */
package examples;

import java.net.InetAddress;
import java.net.UnknownHostException;

import com.ibm.rbapi.RBServer;
import com.ibm.rbapi.RBServerConfig;
import com.ibm.rbapi.RBServerException;

public class TestRBServerConfig {

    public static void main(String[] args) 
    throws UnknownHostException, RBServerException
    {

        if (args.length < 3) {
            System.out.println("usage: TestRBServerConfig <ip> <port> <password>");
            return;
        }
        System.out.println("TestRBServerConfig starting.");
        InetAddress ip = InetAddress.getByName(args[0]);
        int port = Integer.parseInt(args[1]);
        String token = args[2];
        RBServer rbServer = new RBServer(ip, port, token); 
        System.out.println("Created rbServer.");
        
        /* Test getConfig() */
        System.out.println("Calling getConfig()");
        RBServerConfig rbServerConfig = rbServer.getConfig();
        
        /* Print out some of the server config */
        System.out.println("### Printing out some of the RBServerConfig...");
        printRBServerConfig(rbServerConfig);
        
        /* Now change the config */
        System.out.println("\n\nNow changing the config - disabling bob the bulb...");
        rbServerConfig.setDisableBobTheBulb(true);       
        /* Now update the system config */
        rbServer.updateConfig(rbServerConfig);
        System.out.println("### Now the config is...");
        printRBServerConfig(rbServerConfig);
        
        System.out.println("\n\nEnabling bob the bulb again...");
        rbServerConfig.setDisableBobTheBulb(false);
        /* Now update the system config */
        rbServer.updateConfig(rbServerConfig);
        System.out.println("### Now the config is...");
        printRBServerConfig(rbServerConfig);
        
    }

    static void printRBServerConfig(RBServerConfig config) {
        System.out.println("## getGlobalDebugLevel(): " + config.getGlobalDebugLevel());
//        System.out.println("## getNetPassword(): " + config.getNetPassword());
        System.out.println("## getBootDiscoveryAddress(): " + config.getBootDiscoveryAddress());
//        System.out.println("## getBootDiscoveryPort(): " + config.getBootDiscoveryPort());
//        System.out.println("## getHttpAdminName(): " + config.getHttpAdminName());
//        System.out.println("## getHttpServerPort(): " + config.getHttpServerPort());
        System.out.println("## isDisableBobTheBulb(): " + config.isDisableBobTheBulb());
    }
}
