/* TestRBServerReset.java
 *
 * -----------------------------------------------------------------
 * Licensed Materials - Property of IBM
 * 5724Q99
 * (C) Copyright IBM Corp. 1998, 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * -----------------------------------------------------------------
 * $Id: //depot/rbo/src/packages/ibmee/javaapi/examples/TestRBServerReset.java#2 $
 */
package examples;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Date;

import com.ibm.rbapi.RBServer;
import com.ibm.rbapi.RBServerException;
import com.ibm.rbapi.RBServerStatus;
import com.ibm.rbapi.exception.RBTimeoutException;

public class TestRBServerReset {

    public static void main(String[] args) 
    throws UnknownHostException, RBServerException, InterruptedException, RBTimeoutException
    {
        if (args.length < 3) {
            System.out.println("usage: TestRBServerReset <ip> <port> <password>");
            return;
        }
        System.out.println("TestRBServerReset starting.");
        InetAddress ip = InetAddress.getByName(args[0]);
        int port = Integer.parseInt(args[1]);
        String token = args[2];
        RBServer rbServer = new RBServer(ip, port, token); 
        System.out.println("Created rbServer.");
        // Abort if the server is not ready after 15 seconds
        rbServer.isReady(15000);

        // Let's restart the server
        rbServer.restart(); 
        
        Date restarttime = new Date();
        System.out.println("Waiting up to 3 min for server to restart...");
        rbServer.isReady(180000);
        RBServerStatus status = rbServer.getStatus();
        long time = new Date().getTime()-restarttime.getTime();
        if (status.getUptime() <= time/1000) {
            System.out.println("Done, the server has restarted. Uptime is: " + status.getUptime()); 
        } else {
            System.out.println("Check the status of the server.  Uptime is: " + status.getUptime());
            }
    }
}
